import { Form, FormLink, Mesh } from '@termsurf/form';
import { Input, Link, Value } from './type.js';
export declare function transferInput(source: any, map: Record<string, Link>): Record<string, Value | Value[]>;
export type CliOption = {
    line: Array<string>;
    link: Array<string>;
    note?: string;
};
export declare function buildCliOptions(mesh: Mesh, form: Form | FormLink, line?: Array<string>): CliOption[];
export declare function buildInputMapping(mesh: Mesh, form: Form | FormLink): Record<string, {
    line: Array<string>;
}>;
/**
 * Generically fetch CLI args.
 */
export declare function read(argv: Array<string>): Input;
